summaryrefslogtreecommitdiff
path: root/app-vim/covim/covim-99999999.ebuild
diff options
context:
space:
mode:
Diffstat (limited to 'app-vim/covim/covim-99999999.ebuild')
-rw-r--r--app-vim/covim/covim-99999999.ebuild42
1 files changed, 21 insertions, 21 deletions
diff --git a/app-vim/covim/covim-99999999.ebuild b/app-vim/covim/covim-99999999.ebuild
index 5520d758..147fd9fc 100644
--- a/app-vim/covim/covim-99999999.ebuild
+++ b/app-vim/covim/covim-99999999.ebuild
@@ -1,42 +1,42 @@
-# By eroen, 2013 - 2015
-# Distributed under the terms of the ISC licence
-# $Header: $
+# By eroen <eroen-overlay@occam.eroen.eu>, 2013 - 2016
+# Permission to use, copy, modify, and/or distribute this software for any
+# purpose with or without fee is hereby granted, provided that the above
+# copyright notice and this permission notice appear in all copies.
-EAPI=5
+EAPI=6
PYTHON_COMPAT=(python2_7)
-#VIM_PLUGIN_VIM_VERSION="7.0"
-inherit python-single-r1 vim-plugin git-2
+inherit eutils python-r1 vim-plugin
DESCRIPTION="Collaborative Editing for Vim"
HOMEPAGE="https://github.com/FredKSchott/CoVim"
LICENSE="MIT"
IUSE=""
-SRC_URI=
-EGIT_REPO_URI="git://github.com/FredKSchott/CoVim.git"
-if ! [[ ${PV} == 99999999 ]]; then
+if [[ ${PV} == 99999999 ]]; then
+ inherit git-r3
+ EGIT_REPO_URI="git://github.com/FredKSchott/CoVim.git"
+else
KEYWORDS="~amd64"
#EGIT_COMMIT=
+ inherit vcs-snapshot
+ SRC_URI="https://github.com/FredKSchott/CoVim/archive/181ed37d6c2778f26d29775009d1e657c6c701a9.tar.gz -> $P.tar.gz"
fi
-VIM_PLUGIN_HELPFILES="CoVim"
-VIM_PLUGIN_HELPTEXT=""
-VIM_PLUGIN_HELPURI=""
-VIM_PLUGIN_MESSAGES=""
-
-LDEPEND="
- ${PYTHON_DEPS}
- dev-python/twisted-core
+RDEPEND="${PYTHON_DEPS}
+ dev-python/twisted-core[${PYTHON_USEDEP}]
app-editors/vim[python,${PYTHON_USEDEP}]"
-RDEPEND="${LDEPEND}"
+
+VIM_PLUGIN_HELPFILES="CoVim"
src_prepare() {
- python_fix_shebang plugin/CoVimServer.py
- rm LICENSE
+ default
+ rm -f LICENSE || die
}
src_install() {
+ eshopts_push -u failglob
vim-plugin_src_install
- chmod ugo+x "${D}"/usr/share/vim/vimfiles/plugin/CoVimServer.py || die
+ eshopts_pop
+ python_replicate_script "${ED}"/usr/share/vim/vimfiles/plugin/CoVimServer.py
}